<?xml version="1.0" encoding="UTF-8" ?>
<!--
  The contents of this file are subject to the terms of the Common Development
  and Distribution License (the License). You may not use this file except in
  compliance with the License.

  You can obtain a copy of the License at http://www.netbeans.org/cddl.html
  or http://www.netbeans.org/cddl.txt.

  When distributing Covered Code, include this CDDL Header Notice in each file
  and include the License file at http://www.netbeans.org/cddl.txt.
  If applicable, add the following below the CDDL Header, with the fields
  enclosed by brackets [] replaced by your own identifying information:
  "Portions Copyrighted [year] [name of copyright owner]"

  The Original Software is NetBeans. The Initial Developer of the Original
  Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
  Microsystems, Inc. All Rights Reserved.
-->
<!DOCTYPE testconfig PUBLIC "-//NetBeans//DTD XTest Master Config 1.0//EN" "http://www.netbeans.org/dtds/xtest-master-config-1_0.dtd">
<testconfig>

  <!-- QA functional tests for Netbeans -->
  <config name="qa-functional-nb">
  </config>

  <!-- Performance -->
  <config name="qa-performance">
  </config>

  <!-- Validation suites before commit -->
  <config name="commit-validation">
    <module name="xml/schema/core" testtypes="unit" attributes="stable"/>
    <module name="xml/wsdl/refactoring" testtypes="unit" attributes="stable"/>
    <module name="xml/axi" testtypes="unit" attributes="stable"/>
    <module name="xml/xamui" testtypes="unit" attributes="stable"/>
    <module name="xml/wsdlext" testtypes="unit" attributes="stable"/>
    <module name="xml/wsdlui" testtypes="unit" attributes="stable"/>
    <module name="xml/wsdlextui" testtypes="unit" attributes="stable"/>
    <module name="enterprise/bpel/bpelapi" testtypes="unit" attributes="stable"/>
    <module name="enterprise/bpel/bpelapi" testtypes="unit-outside-ide" attributes="stable"/>
    <module name="enterprise/bpel/project" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/file" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/ftp" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/hl7" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/jdbc" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/jms" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/mq" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/msmq" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/sap" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/smtp" testtypes="unit" attributes="stable"/>
    <module name="xml/xsl/api" testtypes="unit" attributes="stable"/>
  </config>

  <!-- Ent Pack -->
  <config name="soaxml-commit-validation">
    <module name="xml/schema/core" testtypes="unit" attributes="stable"/>
    <module name="xml/wsdl/refactoring" testtypes="unit" attributes="stable"/>
    <module name="xml/axi" testtypes="unit" attributes="stable"/>
    <module name="xml/xamui" testtypes="unit" attributes="stable"/>
    <module name="xml/wsdlext" testtypes="unit" attributes="stable"/>
    <module name="xml/wsdlui" testtypes="unit" attributes="stable"/>
    <module name="xml/wsdlextui" testtypes="unit" attributes="stable"/>
    <module name="enterprise/bpel/bpelapi" testtypes="unit" attributes="stable"/>
    <module name="enterprise/bpel/bpelapi" testtypes="unit-outside-ide" attributes="stable"/>
    <module name="enterprise/bpel/project" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/file" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/ftp" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/hl7" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/jdbc" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/jms" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/mq" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/msmq" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/sap" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/smtp" testtypes="unit" attributes="stable"/>
    <module name="xml/xsl/api" testtypes="unit" attributes="stable"/>
  </config>

  <!-- Ent Pack continuous build -->
  <config name="soacb-commit-validation">
    <module name="xml/schema/core" testtypes="unit" attributes="stable"/>
    <module name="xml/wsdl/refactoring" testtypes="unit" attributes="stable"/>
    <module name="xml/axi" testtypes="unit" attributes="stable"/>
    <module name="xml/xamui" testtypes="unit" attributes="stable"/>    
    <module name="xml/wsdlext" testtypes="unit" attributes="stable"/>
    <module name="xml/wsdlui" testtypes="unit" attributes="stable"/>
    <module name="xml/wsdlextui" testtypes="unit" attributes="stable"/>
    <module name="enterprise/bpel/bpelapi" testtypes="unit" attributes="stable"/>
    <module name="enterprise/bpel/bpelapi" testtypes="unit-outside-ide" attributes="stable"/>
    <module name="enterprise/bpel/project" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/file" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/ftp" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/hl7" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/jdbc" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/jms" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/mq" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/msmq" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/sap" testtypes="unit" attributes="stable"/>
    <module name="enterprise/wsdlextensions/smtp" testtypes="unit" attributes="stable"/>
    <module name="xml/xsl/api" testtypes="unit" attributes="stable"/>
  </config>
</testconfig>
